
Name:		mint-mdm-themes-extra
Version:	2013.10 
Release:	%mkrel 1 
Summary:	Collection of various HTML5 themes for MDM
Group:		System/Configuration/Theme
License:	GPL
URL:		https://samriggs.deviantart.com
Source0:	https://samriggs.deviantart.com/art/BlackNBlue-MDM-Animated-Theme-362805493/blacknblue_mdm_animated_theme_by_samriggs-d6006id.tar.xz
Source1:	https://samriggs.deviantart.com/art/CircuitBoard-MDM-Theme-361955758/circuitboard_mdm_theme_by_samriggs-d5zhyum.tar.xz
Source2:	https://samriggs.deviantart.com/art/Galaxy-MDM-Theme-360302989/galaxy_mdm_theme_by_samriggs-d5yijkd.tar.xz
Source3:	https://samriggs.deviantart.com/art/SkyMountain-MDM-Animated-Theme-370703835/skymountain_mdm_animated_theme_by_samriggs-d64pgwr.tar.xz
Source4:	https://samriggs.deviantart.com/art/SteampunkFutureCity-MDM-Animated-theme-370683693/steampunkfuturecity_mdm_animated_theme_by_samriggs-d64p1d9.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mint-mdm-themes
BuildArch:	noarch

%description
Cherry-picked HTML5 themes for the MDM display manager, released during 2013.

Source: https://samriggs.deviantart.com

%prep
%setup -qc %{name}-%version -T -a 0
%setup -qc %{name}-%version -D -T -a 1
%setup -qc %{name}-%version -D -T -a 2
%setup -qc %{name}-%version -D -T -a 3
%setup -qc %{name}-%version -D -T -a 4

%build
# nothing

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mdm/html-themes

# deviantart stuff
mv BlackNBlue $RPM_BUILD_ROOT%{_datadir}/mdm/html-themes/
mv CircuitBoard $RPM_BUILD_ROOT%{_datadir}/mdm/html-themes/
mv Galaxy $RPM_BUILD_ROOT%{_datadir}/mdm/html-themes/
mv SkyMountain $RPM_BUILD_ROOT%{_datadir}/mdm/html-themes/
mv SteampunkFutureCity $RPM_BUILD_ROOT%{_datadir}/mdm/html-themes/

# fix file-folder permissions, just in case
pushd %{buildroot}
find usr -type d -exec chmod 0755 '{}' \;
find usr -type f -exec chmod 0644 '{}' \;
popd

%files
%defattr(-,root,root)
%{_datadir}/mdm/html-themes/*

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*


%changelog
* Fri Dec 29 2017 Zen Subz <techars21 at gmail dot com> - 2013.10-1pclos2017
- Build for PCLinuxOS
